package com.telpo.dipperposition.config;

import com.alibaba.nacos.api.config.annotation.NacosValue;
import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import com.telpo.dipperposition.co.PositionConfigInfo;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import okhttp3.OkHttpClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @program: gateway
 * @description: jwt设置
 * @author: linwl
 * @create: 2020-06-18 17:45
 */
@Getter
@Setter
@Configuration
@NacosPropertySource(dataId="pos", autoRefreshed=true)
public class PositionConfig {

  @NacosValue("${centerProvinceFilePath}")
  String centerProvinceFilePath;

  @NacosValue("${ipPositionRequestPath}")
  String ipPositionRequestPath;
  @NacosValue("${ipPositionRequestKey}")
  String ipPositionRequestKey;
  @NacosValue("${centerProvince}")
  String centerProvince;


  @NacosValue("${astServer}")
  String astServer;
  @NacosValue("${astPosAstPort}")
  int posAstPort;
  @NacosValue("${astTimeout}")
  int astTimeout;
}
